|  | Home | Documentation | saml1__NameIdentifierType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__NameIdentifierType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":NameIdentifierType is a complexType with simpleContent extension of type xs:string. More...

`#include <saml1.h>`

## Public Attributes
char * | __item
char * | NameQualifier
| Attribute "NameQualifier" of type xs:string. More...
char * | Format
| Attribute "Format" of type xs:anyURI. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":NameIdentifierType is a complexType with simpleContent extension of type xs:string.

Note
  struct saml1__NameIdentifierType operations:
  - saml1__NameIdentifierType* soap_new_saml1__NameIdentifierType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__NameIdentifierType(struct soap*, saml1__NameIdentifierType*) default initialize members
  - int soap_read_saml1__NameIdentifierType(struct soap*, saml1__NameIdentifierType*) deserialize from a source
  - int soap_write_saml1__NameIdentifierType(struct soap*, saml1__NameIdentifierType*) serialize to a sink
  - saml1__NameIdentifierType* soap_dup_saml1__NameIdentifierType(struct soap*, saml1__NameIdentifierType* dst, saml1__NameIdentifierType <em>src) returns deep copy of saml1__NameIdentifierType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__NameIdentifierType(saml1__NameIdentifierType) deep deletes saml1__NameIdentifierType data members, use only on dst after soap_dup_saml1__NameIdentifierType(NULL, saml1__NameIdentifierType *dst, saml1__NameIdentifierType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml1__NameIdentifierType::__item

INHERITED FROM saml1__NameIdentifierType: __item wraps simpleContent of type xs:string.

char* saml1__NameIdentifierType::Format

Attribute "Format" of type xs:anyURI.

Optional attribute.

char* saml1__NameIdentifierType::NameQualifier

Attribute "NameQualifier" of type xs:string.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml1.h